### Method

# WPEWebKit UserContentManager remove_filter_by_id

since: 2.26

#### Declaration [src]

    void
    webkit_user_content_manager_remove_filter_by_id (
      WebKitUserContentManager* manager,
      const char* filter_id
    )

#### Description [src]

Removes a filter by the given identifier.

Removes a filter from the given `WebKitUserContentManager` given the identifier of a `WebKitUserContentFilter` as returned by webkit_user_content_filter_get_identifier().

Available since: 2.26

#### Parameters

`filter_id`

  Type: `const char*`

  Filter identifier.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.